module(...)
--auto generate data
TRAVEL_TYPE={
	[1]={
		game_rate=10000,
		game_time=7200,
		travel_gap=3600,
		travel_time=10800,
		travel_type=1,
	},
	[2]={
		game_rate=10000,
		game_time=7200,
		travel_gap=3600,
		travel_time=10800,
		travel_type=2,
	},
}

TRAVEL_PATH_CONFIG={
	[1]={
		anim=[[idleWar]],
		end_pos={x=391,y=182,},
		id=1,
		loop=1,
		rotate={x=-3,y=-121,z=0,},
		start_pos={x=0,y=0,},
		time=4,
		wait=2,
	},
	[2]={
		anim=[[attack1]],
		end_pos={x=648,y=190,},
		id=2,
		loop=1,
		rotate={x=0,y=-70,z=-7,},
		start_pos={x=391,y=182,},
		time=2,
		wait=2,
	},
	[3]={
		anim=[[idleWar]],
		end_pos={x=383,y=-80,},
		id=3,
		loop=1,
		rotate={x=10,y=10,z=5,},
		start_pos={x=648,y=190,},
		time=5,
		wait=2,
	},
	[4]={
		anim=[[dizzy]],
		end_pos={x=115,y=-80,},
		id=4,
		loop=0,
		rotate={x=-4,y=67,z=7,},
		start_pos={x=383,y=-80,},
		time=2,
		wait=2,
	},
	[5]={
		anim=[[idleCity]],
		end_pos={x=0,y=0,},
		id=5,
		loop=1,
		rotate={x=-8,y=138,z=9,},
		start_pos={x=115,y=-80,},
		time=2,
		wait=2,
	},
	[6]={
		anim=[[idleCity]],
		end_pos={x=34,y=192,},
		id=6,
		loop=1,
		rotate={x=-8,y=141,z=10,},
		start_pos={x=200,y=0,},
		time=2,
		wait=1,
	},
	[7]={
		anim=[[idleCity]],
		end_pos={x=-17,y=-13,},
		id=7,
		loop=1,
		rotate={x=10,y=7,z=1,},
		start_pos={x=34,y=192,},
		time=3,
		wait=2,
	},
	[8]={
		anim=[[die]],
		end_pos={x=749,y=134,},
		id=8,
		loop=0,
		rotate={x=-8,y=-105,z=-4,},
		start_pos={x=-17,y=-13,},
		time=6,
		wait=0,
	},
	[9]={
		anim=[[rise]],
		end_pos={x=749,y=134,},
		id=9,
		loop=0,
		rotate={x=-8,y=-105,z=-4,},
		start_pos={x=749,y=134,},
		time=0,
		wait=0,
	},
	[10]={
		anim=[[dizzy]],
		end_pos={x=749,y=134,},
		id=10,
		loop=1,
		rotate={x=-8,y=-105,z=-4,},
		start_pos={x=749,y=134,},
		time=0,
		wait=3,
	},
	[11]={
		anim=[[idleWar]],
		end_pos={x=200,y=0,},
		id=11,
		loop=1,
		rotate={x=3,y=25,z=7,},
		start_pos={x=749,y=134,},
		time=5,
		wait=1,
	},
	[12]={
		anim=[[idleCity]],
		end_pos={x=6,y=42,},
		id=12,
		loop=1,
		rotate={x=-1,y=101,z=13,},
		start_pos={x=400,y=0,},
		time=3,
		wait=3,
	},
	[13]={
		anim=[[idleWar]],
		end_pos={x=786,y=-28,},
		id=13,
		loop=1,
		rotate={x=10,y=-49,z=-9,},
		start_pos={x=6,y=42,},
		time=8,
		wait=2,
	},
	[14]={
		anim=[[idleWar]],
		end_pos={x=400,y=0,},
		id=14,
		loop=1,
		rotate={x=0,y=94,z=1,},
		start_pos={x=786,y=-28,},
		time=3,
		wait=3,
	},
	[15]={
		anim=[[dizzy]],
		end_pos={x=-63,y=63,},
		id=15,
		loop=1,
		rotate={x=-5,y=102,z=11,},
		start_pos={x=600,y=0,},
		time=6,
		wait=3,
	},
	[16]={
		anim=[[attack1]],
		end_pos={x=46,y=183,},
		id=16,
		loop=0,
		rotate={x=-2,y=-141,z=4,},
		start_pos={x=-63,y=63,},
		time=2,
		wait=4,
	},
	[17]={
		anim=[[idleCity]],
		end_pos={x=600,y=0,},
		id=17,
		loop=1,
		rotate={x=7,y=-27,z=-2,},
		start_pos={x=46,y=183,},
		time=6,
		wait=2,
	},
	[18]={
		anim=[[attack1]],
		end_pos={x=423,y=-79,},
		id=18,
		loop=0,
		rotate={x=10,y=28,z=5,},
		start_pos={x=800,y=0,},
		time=3,
		wait=5,
	},
	[19]={
		anim=[[dizzy]],
		end_pos={x=282,y=190,},
		id=19,
		loop=1,
		rotate={x=-14,y=150,z=5,},
		start_pos={x=423,y=-79,},
		time=3,
		wait=3,
	},
	[20]={
		anim=[[idleCity]],
		end_pos={x=800,y=0,},
		id=20,
		loop=1,
		rotate={x=13,y=-41,z=-6,},
		start_pos={x=282,y=190,},
		time=4,
		wait=2,
	},
}

TRAVEL_PATH={
	[1]={id=1,path={[1]=1,[2]=2,[3]=3,[4]=4,[5]=5,},},
	[2]={id=2,path={[1]=6,[2]=7,[3]=8,[4]=9,[5]=10,[6]=11,},},
	[3]={id=3,path={[1]=12,[2]=13,[3]=14,},},
	[4]={id=4,path={[1]=15,[2]=16,[3]=17,},},
	[5]={id=5,path={[1]=18,[2]=19,[3]=20,},},
}

TRAVEL_SAY={
	[1]={desc=[[Look, fish]],id=1,},
	[2]={
		desc=[[Who are we? The future new continent discoverer.]],
		id=2,
	},
	[3]={
		desc=[[Seamen always have to pay attention to the change of the sea surface.]],
		id=3,
	},
	[4]={desc=[[The pointer is not controlled.]],id=4,},
	[5]={desc=[[Where is the sailor?]],id=5,},
	[6]={desc=[[Where did the captain run to?]],id=6,},
	[7]={
		desc=[[♪ Under the bright red moon, running towards the faithful future~]],
		id=7,
	},
	[8]={desc=[[♬ Waves with seagulls, boys sail~]],id=8,},
	[9]={
		desc=[[♪ ~ Smash the Devil's Gate, Grace, The Sacrifice Pond, The Phantom are Gone♬]],
		id=9,
	},
	[10]={
		desc=[[♪ The night swallows the sky, the moon sees blood, it rains and winds ~]],
		id=10,
	},
	[11]={
		desc=[[♬ Tell me if I should know if the water should come to the shadow ~ ♩ ~ ♩ ~ ♩]],
		id=11,
	},
	[12]={
		desc=[[~ Wind and rain, tsunami at sea, lone wooden boat, Shengxianqiao ~]],
		id=12,
	},
	[13]={desc=[[For the earth, the great man, has sailed!]],id=13,},
	[14]={
		desc=[[Give up too soon, there will be light at the end of the road.]],
		id=14,
	},
	[15]={desc=[[Looks like today is a calm day.]],id=15,},
	[16]={desc=[[Suddenly I want to be a blue mermaid]],id=16,},
	[17]={
		desc=[[♪ The color of the sea, the color of the wind, the color of the heart ~ ♪ ~ ~]],
		id=17,
	},
	[18]={
		desc=[[We are between the Eight Gates and the Full Moon.]],
		id=18,
	},
	[19]={
		desc=[[The sour smell of love will never be smelled again ~]],
		id=19,
	},
	[20]={desc=[[Fishing is unbearable]],id=20,},
	[21]={desc=[[Oh my gosh, the big fish of legend.]],id=21,},
	[22]={desc=[[This beach is really beautiful.]],id=22,},
	[23]={desc=[[What? still in the waters of the Capital.]],id=23,},
	[24]={
		desc=[[The sea snail that Eight Gates Village caught was really cute.]],
		id=24,
	},
	[25]={desc=[[The weather is good today~]],id=25,},
	[26]={desc=[[Oh oh oh oh oh oh oh oh oh]],id=26,},
	[27]={desc=[[I always look forward to the sea.]],id=27,},
	[28]={desc=[[Hope tomorrow is still calm.]],id=28,},
	[29]={desc=[[That fish looks weird.]],id=29,},
	[30]={desc=[[I tell a story in the Capital Sea.]],id=30,},
	[31]={desc=[[What time is it...now?]],id=31,},
	[32]={desc=[[What is in the front?]],id=32,},
	[33]={
		desc=[[Ah~ let me be immersed in the brilliant sea~]],
		id=33,
	},
	[34]={desc=[[Wind, in the opposite direction.]],id=34,},
	[35]={desc=[[Don't stir up the storm…]],id=35,},
	[36]={desc=[[Speed up, turn left!]],id=36,},
	[37]={desc=[[Turn right at full speed ~]],id=37,},
	[38]={desc=[[Step forward!]],id=38,},
	[39]={
		desc=[[The wind is too strong, people will be blown away, hold on tight!]],
		id=39,
	},
	[40]={
		desc=[[After taking the medicine, there is no longer such severe seasickness.]],
		id=40,
	},
	[41]={desc=[[Who's seasick and threw up on the deck!]],id=41,},
	[42]={desc=[[A stronger wind is coming.]],id=42,},
	[43]={desc=[[The wave is twice as high as before.]],id=43,},
	[44]={desc=[[If advancing at this speed…]],id=44,},
	[45]={
		desc=[[A little scared, the waves roll violently...]],
		id=45,
	},
	[46]={desc=[[Our aim is the stars and the sea!]],id=46,},
	[47]={desc=[[We've lost.]],id=47,},
	[48]={desc=[[It's windy.]],id=48,},
	[49]={desc=[[Follow the rising sun...]],id=49,},
	[50]={
		desc=[[As long as we continue to sail, there is still hope.]],
		id=50,
	},
	[51]={desc=[[Shoot an arrow in my ass! You just wait!]],id=51,},
	[52]={desc=[[How far can our boat go?]],id=52,},
	[53]={desc=[[How long does it take to cross this sea…]],id=53,},
	[54]={desc=[[If entering directly from this place.]],id=54,},
	[55]={desc=[[Ten minutes later, we can be on the island.]],id=55,},
	[56]={
		desc=[[Puff ~ Totally missed the only correct path.]],
		id=56,
	},
	[57]={desc=[[Looks like we're stuck.]],id=57,},
	[58]={desc=[[The sea breeze blew my mouth open.]],id=58,},
	[59]={
		desc=[[The sea breeze is too cool, blowing on the salty face.]],
		id=59,
	},
	[60]={
		desc=[[Sunny and good weather are always surprisingly similar~]],
		id=60,
	},
	[61]={desc=[[Where is the confluence of sea water?]],id=61,},
	[62]={
		desc=[[Where is the doctor's ship? Quick, someone is seasick.]],
		id=62,
	},
	[63]={
		desc=[[To Dimension World, need "Blue Elephant" to lead the way.]],
		id=63,
	},
	[64]={desc=[[Full Moon Island could be in that sea.]],id=64,},
	[65]={
		desc=[[After all, where does the compass needle go?]],
		id=65,
	},
	[66]={desc=[[The direction is not on the map.]],id=66,},
	[67]={desc=[[What is that? Look, look quickly!]],id=67,},
	[68]={desc=[[I want to solve the secret on this map.]],id=68,},
	[69]={desc=[[Downstream, we can reach Dimension World.]],id=69,},
	[70]={desc=[[Look! Red Moon!]],id=70,},
	[71]={desc=[[Oh oh oh ~]],id=71,},
	[72]={
		desc=[[False, ShuiSheng's information is incorrect!]],
		id=72,
	},
	[73]={desc=[[We've been here for too long.]],id=73,},
	[74]={desc=[[Fast! Back to the ship! Back to the ship!]],id=74,},
	[75]={desc=[[Stay away from that ship.]],id=75,},
	[76]={desc=[[I went to the bathroom first.]],id=76,},
	[77]={desc=[[I go fishing.]],id=77,},
	[78]={desc=[[I vomited a little.]],id=78,},
	[79]={desc=[[The Vice Captain is already seasick.]],id=79,},
	[80]={desc=[[Captain, the vice-captain calls you.]],id=80,},
	[81]={desc=[[Where is the Navigator?]],id=81,},
	[82]={desc=[[Captain, I'm here.]],id=82,},
	[83]={desc=[[The sea is wider than I imagined.]],id=83,},
	[84]={desc=[[I will definitely go there.]],id=84,},
	[85]={desc=[[Probably avoid the vortex.]],id=85,},
	[86]={desc=[[Is that an octopus?]],id=86,},
	[87]={desc=[[I've seen the ship, but it's a bit weird.]],id=87,},
	[88]={
		desc=[[The seafood of Eight Gates Village is very rich.]],
		id=88,
	},
	[89]={desc=[[Where is the Full Moon Island in the end?]],id=89,},
	[90]={desc=[[What, found the coordinates?]],id=90,},
}

TRAVEL_NPCSAY={
	[1]={
		desc=[[Hey~ Play some games with me, there are rewards.]],
		id=1,
	},
	[2]={desc=[[I have cards, do you want a reward?]],id=2,},
	[3]={
		desc=[[Do you want to play games with me? There's reward.]],
		id=3,
	},
	[4]={desc=[[Play a few games, I'll give you good items.]],id=4,},
	[5]={
		desc=[[If you want good items, you have to play with me first.]],
		id=5,
	},
}

MODEL_CONFIG={
	[302]={
		collider_h=1.28,
		collider_r=0.2,
		collider_y=0.55,
		id=302,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[305]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=305,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[313]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=313,
		relative_size=1.8,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[315]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=315,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[405]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=405,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[407]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=407,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[414]={
		collider_h=1.41,
		collider_r=0.24,
		collider_y=0.65,
		id=414,
		relative_size=1.5,
		size=0.6,
		ui_size=0.6,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[502]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=502,
		relative_size=1.8,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[505]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=505,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[506]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=506,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[507]={
		collider_h=1.32,
		collider_r=0.23,
		collider_y=0.57,
		id=507,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[509]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=509,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[511]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=511,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-1.0,
		ui_z=5.0,
	},
	[514]={
		collider_h=1.28,
		collider_r=0.26,
		collider_y=0.55,
		id=514,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[607]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=607,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[608]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=608,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[613]={
		collider_h=1.28,
		collider_r=0.2,
		collider_y=0.55,
		id=613,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[700]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=700,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[711]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=711,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[719]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=719,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[804]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=804,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[805]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=805,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[807]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=807,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-1.0,
		ui_z=5.0,
	},
	[809]={
		collider_h=1.28,
		collider_r=0.26,
		collider_y=0.55,
		id=809,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[811]={
		collider_h=1.32,
		collider_r=0.23,
		collider_y=0.57,
		id=811,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[813]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=813,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[815]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=815,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
	[902]={
		collider_h=1.28,
		collider_r=0.25,
		collider_y=0.55,
		id=902,
		relative_size=1.5,
		size=0.5,
		ui_size=0.5,
		ui_x=0.0,
		ui_y=-0.7,
		ui_z=5.0,
	},
}
